#! /usr/bin/env python 

description="""
Changes the type of a boundary in the boundary-file
"""

from PyFoam.Basics.FoamOptionParser import FoamOptionParser
from os import path
import sys
from PyFoam.RunDictionary.ParsedParameterFile import ParsedParameterFile
from PyFoam.RunDictionary.ListFile import ListFile

parse=FoamOptionParser(description=description,usage="%prog <caseDirectory> <boundaryName> <new type>")
parse.parse(nr=3)

fName=parse.getArgs()[0]
bName=parse.getArgs()[1]
tName=parse.getArgs()[2]

boundary=ParsedParameterFile(path.join(".",fName,"constant","polyMesh","boundary"),debug=False,boundaryDict=True)

bnd=boundary.content

if type(bnd)!=list:
    print "Problem with boundary file (not a list)"
    sys.exit(-1)

found=False

for val in bnd:
    if val==bName:
        found=True
    elif found:
        val["type"]=tName
        break

if not found:
    print "Boundary",bName,"not found in",bnd[::2]
    sys.exit(-1)
    
boundary.writeFile()

